%global momorel 2
%global geckover 1.9.1

Summary: A GTK widget for VNC clients
Name: gtk-vnc
Version: 0.3.8
Release: %{momorel}m%{?dist}
License: LGPL
Group: Development/Libraries
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: gtk-vnc-03-ff3.1.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://gtk-vnc.sf.net/
BuildRequires: gtk2-devel 
BuildRequires: pygtk2-devel 
BuildRequires: python-devel 
BuildRequires: gnutls-devel >= 2.4.1
BuildRequires: xulrunner-devel >= %{geckover}

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%package devel
Summary: Libraries, includes, etc. to compile with the gtk-vnc library
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig
Requires: pygtk2-devel gtk2-devel gnutls-devel

%description devel
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

Libraries, includes, etc. to compile with the gtk-vnc library

%package python
Summary: Python bindings for the gtk-vnc library
Group: Development/Libraries
Requires: %{name} = %{version}

%description python
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

A module allowing use of the GTK-VNC widget from python

%package plugins
Summary: mozilla plugin for the gtk-vnc
Group: Development/Libraries
Requires: %{name} = %{version}

%description plugins
mozilla plugin for the gtk-vnc

%prep
%setup -q
%patch0 -p1 -b .xulrunner191

%build
%configure --enable-plugin=yes 
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB
%{_libdir}/lib*.so.*
%exclude %{_libdir}/lib*.la

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%dir %{_includedir}/%{name}-1.0/
%{_includedir}/%{name}-1.0/*.h
%{_libdir}/pkgconfig/%{name}-1.0.pc

%files python
%defattr(-, root, root)
%doc examples/gvncviewer.py
%{_libdir}/python*/site-packages/gtkvnc.so
%{_libdir}/python*/site-packages/gtkvnc.la
%{_libdir}/python*/site-packages/gtkvnc.a

%files plugins
%defattr(-, root, root)
%{_libdir}/mozilla/plugins/*

%changelog
* Sat Jun 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.8-2m)
- import xulrunner191 patch from OpenSolaris

* Mon Feb  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.8-1m)
- update to 0.3.8
- delete patch0 (fixed)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.7-3m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.7-2m)
- rebuild against python-2.6.1-2m

* Thu Sep 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.7-1m)
- update to 0.3.7

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.6-2m)
- rebuild against gnutls-2.4.1

* Wed May  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.6-1m)
- update to 0.3.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.3-3m)
- rebuild against gcc43

* Sun Mar  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.3-2m)
- add patch0 (fix build)

* Sat Mar  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.3-1m)
- update 0.3.3
- add mozilla plugin

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-2m)
- %%NoSource -> NoSource

* Mon Jan  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-1m)
- update 0.3.2

* Fri Sep 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.0-1m)
- update 0.2.0

* Sun Sep  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.0-1m)
- initial commit Momonga Linux

* Wed Aug 29 2007 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-5.fc8
- Fixed handling of mis-matched client/server colour depths

* Wed Aug 22 2007 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-4.fc8
- Fix mixed endian handling & BGR pixel format (rhbz #253597)
- Clear widget areas outside of framebuffer (rhbz #253599)
- Fix off-by-one in python demo

* Thu Aug 16 2007 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-3.fc8
- Tweaked post scripts
- Removed docs from sub-packages
- Explicitly set license to LGPLv2+
- Remove use of macro for install rule

* Wed Aug 15 2007 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-2.fc8
- Added gnutls-devel requirement to -devel package

* Wed Aug 15 2007 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-1.fc8
- Initial official release
